function OnSimulationStart()
{
    LogDebug("OnSimulationStart called");
	
	// Using a named callback function for GET request
	HttpClient_SendRequest("https://postman-echo.com/get?reqid=12944", "GET", "HttpRequest_Callback");

	// Using an anonymous callback function for DELETE request
	HttpClient_SendRequest("https://postman-echo.com/delete?reqid=12944", "DELETE", function (httpCode, responseHeaders, responseBody) {
		// Handle response here
		LogDebug("DELETE Response Code: " + httpCode);
		LogDebug("DELETE Response Body: " + responseBody);
	});

	// Using POST method with form data and custom Content-Type header
	HttpClient_SendRequest("https://postman-echo.com/post", "POST", HttpRequest_Callback, "firstname=john_doe&lastname=doe", ["Content-Type: application/x-www-form-urlencoded"]);

	// Using PUT method with JSON data, custom Content-Type header, and a certificate thumbprint
	HttpClient_SendRequest("https://postman-echo.com/put", "PUT", "HttpRequest_Callback", "{ 'id' : 12944, 'firstname' : 'john', 'lastname' : 'doe' }", 
		["Content-Type: application/json"]);

	// Using PATCH method with JSON data, custom Content-Type header, and a certificate file path
	HttpClient_SendRequest("https://postman-echo.com/patch", "PATCH", HttpRequest_Callback, 
		"{ 'id' : 12944, 'firstname' : 'john' }", ["Content-Type: application/json"]);

}

// The callback function to handle HTTP responses
function HttpRequest_Callback(httpCode, responseHeaders, responseBody) {
    LogDebug("HTTP response code: " + String(httpCode));

    LogDebug("HTTP response headers:");
    for (var i = 0; i < responseHeaders.length; i++) {
        LogDebug(responseHeaders[i]);
    }

    LogDebug("HTTP response body:");
    LogDebug(responseBody);
}

function OnSimulationStopping() 
{
    LogDebug("OnSimulationStopping called");
    DeleteAllProducts();
}

function OnSimulationStop()
{
    LogDebug("OnSimulationStop called");
}